petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESLineSearchSetVecs

Sets the vectors on the SNESLineSearch context

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetVecs(SNESLineSearch linesearch,Vec X,Vec F,Vec Y,Vec W, Vec G)

### Input Parameters

| linesearch | - linesearch context
| X | - Solution vector
| F | - Function vector
| Y | - Search direction vector
| W | - Solution work vector
| G | - Function work vector

### See Also

SNESLineSearchSetNorms(), SNESLineSearchGetVecs()

### Level

advanced

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages